Update Podcast (Return Experience)

View as Markdown
Update a Podcast resource and return the updated parent Experience object. Useful for syncing UI state after a resource modification.

Path parameters

idintegerRequired

Request

This endpoint expects an object.
titlestringOptional<=255 characters
descriptionstring or nullOptional
cover_imagestring or nullOptionalformat: "uri"
Cover image for the podcast
lengthinteger or nullOptional-2147483648-2147483647
Target podcast length in minutes
visibilityenumOptional
  • public - Public
  • private - Private
  • team - Team
  • org - Organization
Allowed values:
tagslist of integersOptional
is_draftbooleanOptional
Whether this podcast is a draft

Response

titlestring<=255 characters
descriptionstring or null
cover_imagestring or nullformat: "uri"
Cover image for the podcast
lengthinteger or null-2147483648-2147483647
Target podcast length in minutes
visibilityenum
  • public - Public
  • private - Private
  • team - Team
  • org - Organization
Allowed values:
tagslist of integers
is_draftboolean
Whether this podcast is a draft